<?php
namespace WpBookingEventFrontend\app\views\events;
use WpBookingEvent\Mvc\Model\Model;
use WpBookingEvent\Mvc\View\View;

class EventsView extends View
{
    public function display($tpl){
        $modelEvents=Model::getInstance('events');
        $this->list=$modelEvents->getList();
        $this->totalRecord=$modelEvents->getTotalRecord();
        $modelEvent = Model::getInstance('event');
        $this->form = $modelEvent->getForm();

        $modelCountries = Model::getInstance('countries');
        $this->list_countries = $modelCountries->getList_location();

        $modelEventtype=Model::getInstance('eventtypes');
        $this->event_types=$modelEventtype->getList();

        $modelEmployees=Model::getInstance('employees');
        $this->list_employees=$modelEmployees->getList();

        $modelCategories=Model::getInstance('categories');
        $this->list_categories=$modelCategories->getList();



        return parent::display($tpl);

    }
}